You are currently offline, waiting for your internet to reconnect

PRB: Analysis Services with SQL Server Service Pack 3 Cannot Connect to Analysis Services Builds Between 8.00.0671 and 8.00.0727

This article has been archived. It is offered "as is" and will no longer be updated.
After you install SQL Server 2000 Service Pack 3 (SP3), or Analysis Services Service Pack 3, you might not be able to connect to a server that is running an Analysis Services build between 8.00.0671 and 8.00.0727. You might also receive the following error message:

Cannot open connection to Analysis server '<ServerName>'.
Error in data [Possible data corruption]"
The Msolap80.dll and Msmdgd80.dll files in SQL Server 2000 SP3 are incompatible with the Analysis Services Msmdsrv.exe file for builds between 8.00.0671 and 8.00.0727.
To resolve this problem, install Analysis Services Service Pack 3 on the computer that has an Analysis Services build between 8.00.0671 and 8.00.0727 installed.
SQL Server 2000 SP3 installs the following versions of the Analysis Services client components:
  • Msolap80.dll
  • Msolap80.rll
  • Msmdgd80.dll
  • Msmdcb80.dll

How to Determine the Analysis Services Build

To determine what version of Analysis Services you are using, follow these steps:
  1. Open Windows Explorer.
  2. Locate, and then right-click Msmdsrv.exe. Click Properties.
  3. In the Msmdsrv Properties dialog box, click the Version tab. Note the value displayed for File version. This is the current build of Analysis Services.
  4. Click OK.
For additional information, click the following article number to view the article in the Microsoft Knowledge Base:
290211 INF: How to Obtain the Latest SQL Server 2000 Service Pack
331925 FIX: Pre-Analysis Services Service Pack 3 Client Cannot Administer Analysis Services Service Pack 3

Article ID: 815486 - Last Review: 02/27/2014 21:17:40 - Revision: 1.3

Microsoft SQL Server 2000 Analysis Services

  • kbnosurvey kbarchive kbupgrade kberrmsg kbprb KB815486